=== debian/changelog ===
yadm (1.03-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 18 Jan 2016 19:34:20 +0800

yadm (1.02-2) unstable; urgency=low

  * fix manpage-has-errors-from-man warning.

 -- Yao-Po Wang <blue119@gmail.com>  Sat, 07 Nov 2015 13:08:12 +0800

yadm (1.02-1) unstable; urgency=low

  * Initial release. Closes: #800360

 -- Yao-Po Wang <blue119@gmail.com>  Tue, 06 Oct 2015 20:40:25 +0800
