=== debian/control ===
Source: yadm
Priority: optional
Section: utils
Maintainer: Yao-Po Wang <blue119@gmail.com>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.6
Homepage: https://github.com/TheLocehiliosan/yadm
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/yadm.git
Vcs-Git: git://anonscm.debian.org/collab-maint/yadm.git

Package: yadm
Architecture: all
Depends: ${misc:Depends}
Description: Yet Another Dotfiles Manager
 yadm is a dotfile management tool with 3 main features: Manages files across
 systems using a single Git repository. Provides a way to use alternate files on
 a specific OS or host. Supplies a method of encrypting confidential data so it
 can safely be stored in your repository.
