=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_install:
	install -D yadm debian/yadm/usr/bin/yadm
