=== debian/changelog ===
yadm (1.04-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 27 Apr 2016 20:19:33 +0800
