=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Yao-Po Wang <blue119@gmail.com>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>=9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/TheLocehiliosan/yadm
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/yadm.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/yadm.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/yadm.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/yadm.git
 
 Package: yadm
 Architecture: all
