=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 
 override_dh_install:
 	install -D yadm debian/yadm/usr/bin/yadm
+	
+override_dh_auto_test:
+	# The test needs home directory, so it is disabled.
