=== debian/changelog ===
yadm (1.06-1+deb9u1) stretch; urgency=high

  * Backport for CVE-2017-11353.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 29 Aug 2017 18:55:37 +0800

yadm (1.06-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 22 Jan 2017 20:34:20 +0800

yadm (1.05-1) unstable; urgency=medium

  * New upstream release.
  * Bump compat level to 10.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 19 Sep 2016 19:09:21 +0800
