=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Section: utils
 Maintainer: Yao-Po Wang <blue119@gmail.com>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Build-Depends: debhelper (>=9)
+Build-Depends: debhelper (>= 10)
 Standards-Version: 3.9.8
 Homepage: https://github.com/TheLocehiliosan/yadm
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/yadm.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/yadm.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/yadm.git
 
 Package: yadm
