## yadm 1.11.0

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,10 @@
 .PHONY: test
 test: bats shellcheck
 
+.PHONY: parallel
+parallel:
+	ls test/*bats | time parallel -q -P0 -- docker run --rm -v "$$PWD:/yadm:ro" yadm/testbed bash -c 'bats {}'
+
 .PHONY: bats
 bats:
 	@echo Running all bats tests
@@ -25,7 +29,7 @@
 shellcheck:
 	@echo Running shellcheck
 	@shellcheck --version || true
-	@shellcheck -s bash yadm test/*.bash
+	@shellcheck -s bash yadm bootstrap test/*.bash completion/yadm.bash_completion
 	@cd test; \
 	for bats_file in *bats; do \
 		sed 's/^@test.*{/function test() {/' "$$bats_file" > "/tmp/$$bats_file.bash"; \
