=== debian/changelog ===
yadm (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0.
    * Use https in Format in d/copyright.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 17 Jul 2017 12:37:06 +0800

yadm (1.10.0-1) unstable; urgency=medium

  * Merge back to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 17 Jun 2017 22:56:14 +0800

yadm (1.10.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 20 May 2017 10:54:52 +0800

yadm (1.09-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 07 May 2017 18:11:54 +0800

yadm (1.08-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 05 Apr 2017 10:28:13 +0800

yadm (1.07-1~exp2) experimental; urgency=medium

  * Add Multi-Arch: foreign.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 26 Mar 2017 14:12:21 +0800

yadm (1.07-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 13 Feb 2017 18:43:39 +0800
