=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Yao-Po Wang <blue119@gmail.com>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/TheLocehiliosan/yadm
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/yadm.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/yadm.git
 
 Package: yadm
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Yet Another Dotfiles Manager
  yadm is a dotfile management tool with 3 main features: Manages files across
