## yadm 1.12.0

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,15 @@
+.PHONY: all
 all: yadm.md contrib
 
 yadm.md: yadm.1
 	@groff -man -Tascii ./yadm.1 | col -bx | sed 's/^[A-Z]/## &/g' | sed '/yadm(1)/d' > yadm.md
 
+.PHONY: contrib
 contrib:
 	@echo "CONTRIBUTORS\n" > CONTRIBUTORS
 	@git shortlog -ns master gh-pages dev dev-pages | cut -f2 >> CONTRIBUTORS
 
+.PHONY: pdf
 pdf:
 	@groff -man -Tps ./yadm.1 > yadm.ps
 	@open yadm.ps
@@ -39,8 +42,19 @@
 		[ "$$test_result" -ne 0 ] && exit 1; \
 	done; true
 
+.PHONY: testhost
+testhost:
+	@target=HEAD
+	@rm -rf /tmp/testhost
+	@git show $(target):yadm > /tmp/testhost
+	@chmod a+x /tmp/testhost
+	@echo Starting testhost target=\"$$target\"
+	@docker run -w /root --hostname testhost --rm -it -v "/tmp/testhost:/bin/yadm:ro" yadm/testbed:latest bash
+
+.PHONY: man
 man:
 	groff -man -Tascii ./yadm.1 | less
 
+.PHONY: wide
 wide:
 	man ./yadm.1
