=== debian/changelog ===
yadm (1.12.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0.
  * Bump compat to 11.
  * Add git to Depends.
  * Change Vcs-* fields to salsa.debian.org.
  * Install bash/zsh auto completion.
  * Add debian/upstream/metadata.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 09 Aug 2018 15:45:50 +0800

yadm (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 28 Oct 2017 12:21:58 +0800

yadm (1.11.1-1) unstable; urgency=high

  * New upstream release.
    * Fix CVE-2017-11353 (Closes: #868300).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 28 Aug 2017 18:33:06 +0800
