=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 	dh_installchangelogs CHANGES
 
 override_dh_install:
+	dh_install
 	install -D yadm debian/yadm/usr/bin/yadm
-	
+
 override_dh_auto_test:
 	# The test needs home directory, so it is disabled.
