=== debian/changelog ===
yadm (2.3.0-2) unstable; urgency=medium

  [ Angel Abad ]
  * Add debian/NEWS documenting the upgrade from 1.x versions.
  * Add myself to Uploaders and copyright.

  [ Russ Allbery ]
  * Upload to Debian with new maintainers.
  * Add myself to uploaders.
  * Run wrap-and-sort -ast.
  * Update standards version to 4.5.0 (no changes required).

 -- Russ Allbery <rra@debian.org>  Tue, 25 Feb 2020 09:33:17 -0800

yadm (2.3.0-1) unstable; urgency=medium

  * Local package for eyrie.org repository.
  * Update to new upstream version 2.3.0.
  * Update build commands to use the upstream make install target but
    remove some files that are installed by the packaging in other ways.
  * Remove build dependencies for the tests since they require Docker and
    thus are disabled.
  * Update to debhelper compatibility level V12.
    - Depend on debhelper-compat instead of using debian/compat.
  * Update to standards version 4.4.1.
    - Add Rules-Requires-Root: no.

 -- Russ Allbery <rra@debian.org>  Fri, 17 Jan 2020 11:51:37 -0800
