=== debian/control ===
Source: yadm
Priority: optional
Section: utils
Maintainer: Yao-Po Wang <blue119@gmail.com>
Uploaders:
 ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Angel Abad <angel@debian.org>,
 Russ Allbery <rra@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/TheLocehiliosan/yadm
Vcs-Browser: https://salsa.debian.org/debian/yadm
Vcs-Git: https://salsa.debian.org/debian/yadm.git

Package: yadm
Architecture: all
Multi-Arch: foreign
Depends:
 git,
 ${misc:Depends},
Description: Yet Another Dotfiles Manager
 yadm is a dotfile management tool with 3 main features: Manages files across
 systems using a single Git repository. Provides a way to use alternate files on
 a specific OS or host. Supplies a method of encrypting confidential data so it
 can safely be stored in your repository.
