=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PREFIX = debian/yadm/usr

%:
	dh $@

override_dh_auto_build:

# Remove some files installed by upstream that are installed by the
# packaging logic in different ways.
override_dh_auto_install:
	dh_auto_install
	rm debian/yadm/usr/share/doc/yadm/CHANGES
	rm debian/yadm/usr/share/doc/yadm/LICENSE

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

# The test requires Docker, so it is disabled.
override_dh_auto_test:
