=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/$1\.tar\.gz/ \
       https://github.com/TheLocehiliosan/yadm/tags .*/v?(\d\S*)\.tar\.gz
