=== debian/changelog ===
yadm (2.5.0-2) unstable; urgency=medium

  * Source only upload

 -- Angel Abad <angel@debian.org>  Thu, 20 Aug 2020 09:17:04 +0200

yadm (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * debian/rules: Use execute_after_dh_auto_install

 -- Angel Abad <angel@debian.org>  Wed, 19 Aug 2020 16:42:24 +0200

yadm (2.4.0-2) unstable; urgency=medium

  * Update to debhelper compatibility level V13.

 -- Russ Allbery <rra@debian.org>  Tue, 28 Apr 2020 18:56:20 -0700

yadm (2.4.0-1) unstable; urgency=medium

  * Update to new upstream version 2.4.0.
    - Support multiple keys in yadm.gpg-recipient
    - Ensure all templates are written atomically
    - Add encrypt_with_checksums to the hooks collection
    - Escape white space in YADM_HOOK_FULL_COMMAND
    - Improve parsing of os-release
    - Improve identification of WSL
    - Write encrypt-based exclusions during decrypt
  * Install contrib/hooks as usr/share/doc/yadm/examples/hooks.

 -- Russ Allbery <rra@debian.org>  Thu, 27 Feb 2020 20:27:16 -0800
