=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Angel Abad <angel@debian.org>,
  Russ Allbery <rra@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: https://github.com/TheLocehiliosan/yadm
