=== debian/changelog ===
yadm (3.0.2-2) unstable; urgency=medium

  * Add upstream patch to fix bash tab completion.  (Closes: #980754)

 -- Russ Allbery <rra@debian.org>  Sat, 13 Feb 2021 09:01:05 -0800

yadm (3.0.2-1) unstable; urgency=medium

  * New upstream version 3.0.2.
  * debian/watch: Upgrade to version 4.
  * debian/NEWS: Update breaking changes info.
  * debian/salsa-ci.yml: Add salsa ci basic config.
  * debian/gbp.conf: Add gbp configuration file.
  * Update shell completion install files.
  * Declare compliance with Debian Policy 4.5.1.

 -- Angel Abad <angel@debian.org>  Sun, 31 Jan 2021 10:48:31 +0100
