=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,10 @@
 
 # Remove some files installed by upstream that are installed by the
 # packaging logic in different ways.
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	rm debian/yadm/usr/share/doc/yadm/CHANGES
 	rm debian/yadm/usr/share/doc/yadm/LICENSE
+	rm -r debian/yadm/usr/share/doc/yadm/contrib
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES
