=== debian/changelog ===
yadm (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
  * debian/patches/use-bash-shebang: Fix bash term in posix shell.
  * debian/rules: Use DESTDIR instead of only PREFIX.
  * debian/copyright: Update copyright years.
  * Bump Standards-Version to 4.6.0 (no changes).

 -- Angel Abad <angel@debian.org>  Sat, 16 Apr 2022 13:03:53 +0200
