=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/TheLocehiliosan/yadm
 Vcs-Browser: https://salsa.debian.org/debian/yadm
 Vcs-Git: https://salsa.debian.org/debian/yadm.git
