## yadm 3.2.2

=== debian/changelog ===
yadm (3.2.2-1) unstable; urgency=medium

  * New upstream version 3.2.2

 -- Angel Abad <angel@debian.org>  Tue, 21 Feb 2023 17:20:59 +0100
