=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
 
-export PREFIX = debian/yadm/usr
+export DESTDIR = debian/yadm
+export PREFIX = /usr
+
 
 %:
 	dh $@
