=== test/requirements.txt ===
black==23.1.0
envtpl
flake8==6.0.0
isort==5.12.0
j2cli
pylint==2.17.0
pytest==7.2.2
yamllint==1.30.0
