=== debian/changelog ===
yadm (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0.
  * d/copyright: Update copyrigh year.
  * d/gbp.conf: Follow DEP-14 to use debian/unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 03 Dec 2024 00:53:26 +0800
