=== test/requirements.txt ===
black==24.10.0
envtpl
flake8==7.1.1
isort==5.13.2
j2cli
pylint==3.3.1
pytest==8.3.3
yamllint==1.35.1
