=== debian/changelog ===
yadm (3.5.0-1) unstable; urgency=medium

  * New upstream version 3.5.0
  * Declare compliance with Debian Policy 4.7.0.
  * debian/patches/use-bash-shebang: Refresh patch.
  * debian/patches/fix-manpage-typo: New patch fix typo on manpage.
  * debian/copyright: Update copyright years.

 -- Angel Abad <angel@debian.org>  Sun, 16 Mar 2025 12:13:29 +0100
