=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/yadm-$1\.tar\.gz/ \
  https://github.com/TheLocehiliosan/yadm/tags .*/v?(\d\S+)\.tar\.gz
